Add a role
1 min
POST
https://usermgmt-api.optimizely.com/api/roles
Body Parameters
- bodyaddRoleParamsrequiredDescription
- namestringrequiredMin Length1
- descriptionstring
- productIdstringrequiredMin Length1
- roleTypeinteger<int32>Default0Formatint32Allowed012
- ownedBystring
- targetIdsstring[]
- isActiveboolean
- attributesattribute[]
- idstring
- keystring
- valuesstring[]
- instanceIdstring
- typestring
- namestring
- descriptionstring
- productIdstring
- isActiveboolean
- createdstring<date-time>Formatdate-time
- modifiedstring<date-time>Formatdate-time
- linkslink[]
- relstring
- hrefstring
- propertiesproperty[]
- namestring
- valuestring
Responses
200
- role
- idstring
- namestring
- descriptionstring
- productIdstring
- roleTypeinteger<int32>Default0Formatint32Allowed012
- ownedBystring
- targetIdsstring[]
- isActiveboolean
- attributesattribute[]
- idstring
- keystring
- valuesstring[]
- instanceIdstring
- typestring
- namestring
- descriptionstring
- productIdstring
- isActiveboolean
- createdstring<date-time>Formatdate-time
- modifiedstring<date-time>Formatdate-time
- linkslink[]
- relstring
- hrefstring
- propertiesproperty[]
- namestring
- valuestring
- createdstring<date-time>Formatdate-time
- modifiedstring<date-time>Formatdate-time
- linkslink[]
- relstring
- hrefstring
400
- validationError[]
- fieldstring
- codestring
- messagestring
401
403
500
curl
curl --request POST \
--url https://usermgmt-api.optimizely.com/api/roles \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"name": "",
"productId": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"name": "",
"productId": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://usermgmt-api.optimizely.com/api/roles", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://usermgmt-api.optimizely.com/api/roles")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"name": "",
"productId": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://usermgmt-api.optimizely.com/api/roles"
payload = json.dumps({
"name": "",
"productId": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// The role response.
{
"id": "",
"name": "",
"description": "",
"productId": "",
"roleType": "",
"ownedBy": "",
"targetIds": [
""
],
"isActive": false,
"attributes": [
{
"id": "",
"key": "",
"values": [
""
],
"instanceId": "",
"type": "",
"name": "",
"description": "",
"productId": "",
"isActive": false,
"created": "",
"modified": "",
"links": [
{
"rel": "",
"href": ""
}
]
}
],
"properties": [
{
"name": "",
"value": ""
}
],
"created": "",
"modified": "",
"links": [
{
"rel": "",
"href": ""
}
]
}400
// The request was invalid or cannot be otherwise served. An accompanying error message will explain further.
[
{
"field": "",
"code": "",
"message": ""
}
]401
// Unauthorized access to endpoint.
403
// Forbidden access to endpoint.
500
// A server error occurred, please try again.